%define name	showimg
%define version	0.9.5
%define release	%mkrel 7

%define libname_orig	lib%{name}
%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary: Picture viewer for KDE
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.jalix.org/projects/%name/download/%version/%{name}-%{version}.tar.bz2
License:	GPLv2+
Group:		Graphics
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:		http://www.jalix.org/projects/showimg/
BuildRequires:	tiff-devel
BuildRequires:	kdebase-devel
BuildRequires:	libkipi-devel
BuildRequires:	libexif-devel
BuildRequires:	libxt-devel
BuildRequires:  desktop-file-utils
Requires:	kipi-plugins

%description
ShowImg is a picture viewer for KDE. It supports some features
missing in other picture viewers:
- full screen
- mouse wheel support
- slideshow
- search for duplicates
- some format conversion

%package -n %develname
Summary:	Development headers for ShowImg
Group:		Development/KDE and Qt
Requires:	%libname = %version-%release
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname showimg 1 -d}

%description -n %develname
Development headers and libraries for ShowImg.

%package -n %libname
Summary:	Shared libraries for ShowImg
Group:		System/Libraries

%description -n %libname
ShowImg is a picture viewer for KDE. It supports some features
missing in other picture viewers:
- full screen
- mouse wheel support
- slideshow
- search for duplicates
- some format conversion

%description -l fr
ShowImg est un visualeur d'image pour KDE. Il comble
certains manques des visualiseurs dj disponible:
- plein cran,
- support de la roulette des souris,
- slideshow,
- recherche de doublons,
- conversion en diffrents formats.

%prep
%setup -q

%build
%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir $kdelibsuffix \
	--mandir=%_mandir \
	--disable-rpath

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %name
rm -f $RPM_BUILD_ROOT/%{_datadir}/mimelnk/image/x-psd.desktop
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/kde
desktop-file-install --vendor='' --delete-original \
	--dir %buildroot%{_datadir}/applications/kde/ \
	--remove-key='Encoding' \
	%buildroot%{_datadir}/applnk/Graphics/%name.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root,-)
%_libdir/kde3/*
%_libdir/*.so.*
%_libdir/*.la

%files -n %develname
%defattr(-,root,root,-)
%_libdir/*.so

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS CHANGES ChangeLog NEWS NOTES README
%_bindir/%name
%_bindir/sidbtest

%{_datadir}/applications/kde/%name.desktop

%_datadir/apps/showimg

%_datadir/apps/konqueror/servicemenus/konqshowimg.desktop

%_datadir/apps/showimgpart

%_datadir/mimelnk/image/x-sia.desktop

%_datadir/doc/HTML/*/%name
%_iconsdir/hicolor/*/apps/*.png

%_datadir/services/*.desktop
%_datadir/servicetypes/*.desktop


%changelog
* Sat Mar 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.5-7mdv2008.1
+ Revision: 189498
- Fix groups ( tks to pterjan)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Sun Dec 30 2007 Funda Wang <fundawang@mandriva.org> 0.9.5-6mdv2008.1
+ Revision: 139469
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 04 2007 Adam Williamson <awilliamson@mandriva.com> 0.9.5-5mdv2008.0
+ Revision: 58919
- rebuild for 2008
- simply file list, don't own a bunch of directories that this package shouldn't own
- no need to package INSTALL
- update fd.o icon cache in %%post
- install .desktop file to the appropriate place
- drop old icons and menu
- improve descriptions a little
- drop provides and obsoletes for showing (it's been long enough)
- use Fedora license policy
- drop sourced icons (not needed, there's icons in the tarball)
- new devel policy
- spec clean


* Mon Sep 04 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-04 17:49:14 (59894)
- rebuild over mysql

* Sat Aug 12 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-08-12 15:07:41 (55753)
- add BuildRequires: libxt-devel

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-09 11:11:17 (54676)
- rebuild

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-08 21:08:55 (54630)
Import showimg

* Sat Jan 14 2006 Olivier Thauvin <nanardon@mandriva.org> 0.9.5-1mdk
- 0.9.5

* Tue Dec 20 2005 Olivier Thauvin <nanardon@mandriva.org> 0.9.4.1-1mdk
- 0.9.4-1

* Thu Mar 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.4-9mdk
- the package and libs are really called showimg

* Wed Mar 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.4-8mdk
- fix build on lib64 platforms
- drop libkexif buildrequires since it's not used (code not in sync)

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-7mdk
- Rebuild with new libkexif

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-6mdk
- Readd missing changelog

* Wed Dec 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-5mdk
- Requires kipi-plugins

* Wed Dec 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-4mdk
- Fix menu

* Wed Dec 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-3mdk
- Fix requires

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-1mdk
- 0.9.4

* Wed Jul 07 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.3-1mdk
- 0.9.3

* Thu Apr 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.2-1mdk
- 0.9.2

* Fri Nov 28 2003 Michael Scherer <misc@mandrake.org> 0.8.1-1mdk 
- 0.8.1

* Wed Oct 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.0-1mdk
- 1st mdk package

